% lightcards(1) 0.6.0
% Armaan Bhojwani
% February 2021

# NAME
lightcards - terminal flashcards from Markdown

# SYNOPSIS
lightcards [[options]] [input file]

# DESCRIPTION
**lightcards** is a Python program that reads data from a two column Markdown (and by extension, HTML) table, and displays flashcards from their contents.

# POSITIONAL ARGUMENTS
**input file**
: Relative or absolute path to the input Markdown or HTML file

# OPTIONS
**-h**, **--help**
: Show a help message and exit

**-a**, **--alphabetize**
: Alphabetize card order

**-f**, **--flip**
: Show second column first

**-p**, **--purge**
: Purge cache for chosen set

**-r**, **--reverse**
: Reverse card order

**-s**, **--shuffle**
: Shuffle card order

**-v**, **--version**
: Print version and exit

# KEYBINDINGS
**l**, **right**
: Next card

**h**, **left**
: Previous card

**j**, **k**, **up**, **down**
: Flip card

**i**, **/**
: Star card

**0**, **^**, **home**
: Go to start of deck

**$**, **end**
: Go to end of deck

**H**, **?**
: Open help screen

**e**
: Open input file in $EDITOR

**m**
: Open control menu

# INPUT FILE
Lightcards takes the first table from a valid Markdown or HTML file. Each row is a card, and the two columns are the front and back.

# EXIT VALUES
**0**
: Success

**1**
: Parse error

**2**
: Invalid option

# BUGS, PATCHES
https://lists.sr.ht/~armaan/public-inbox

# COPYRIGHT
Copyright 2021 Armaan Bhojwani <me@armaanb.net>. MIT License
